package com.sysdeo.eclipse.tomcat;

import org.eclipse.core.resources.IFolder;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.IJavaProject;

/**
 * TomcatSetting Interface
 */
public interface ITomcatProject {

	/**
	 *
	 * @return WebClassPathEntries
	 */
	WebClassPathEntries getWebClassPathEntries();

	/**
	 *
	 * @return IFolder
	 */
	IFolder getRootDirFolder();

	/**
	 * @throws CoreException CoreException
	 */
	void removeContext() throws CoreException;

	/**
	 * @param prj IJavaProject
	 */
	void setJavaProject(IJavaProject prj);
}
